commit: 78e16048c98968d0a8d27ff688cc1b705e017c79
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 27 10:02:16 2019 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Mar 27 10:03:27 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78e16048
net-analyzer/fail2ban: Drop vcs-snapshot.eclass, set EAPI=7
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
net-analyzer/fail2ban/fail2ban-0.10.4-r1.ebuild | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/net-analyzer/fail2ban/fail2ban-0.10.4-r1.ebuild
b/net-analyzer/fail2ban/fail2ban-0.10.4-r1.ebuild
index 51b196ff788..7c58a3532c1 100644
--- a/net-analyzer/fail2ban/fail2ban-0.10.4-r1.ebuild
+++ b/net-analyzer/fail2ban/fail2ban-0.10.4-r1.ebuild
@@ -1,11 +1,11 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
DISTUTILS_SINGLE_IMPL=1
-inherit distutils-r1 eutils systemd vcs-snapshot
+inherit distutils-r1 eutils systemd
DESCRIPTION="scans log files and bans IPs that show malicious signs"
HOMEPAGE="http://www.fail2ban.org/"
@@ -33,6 +33,11 @@ REQUIRED_USE="systemd? ( !python_single_target_pypy )"
RESTRICT="test"
DOCS=( ChangeLog DEVELOP README.md THANKS TODO doc/run-rootless.txt )
+src_unpack() {
+ default
+ mv ${PN}-${PN}-* ${P} || die
+}
+
python_prepare_all() {
eapply_user